Update Amazon Pay module

Amazon Pay offers a newer version v3.6.8 of their OXID module and kindly request all customers to install this new version as soon as possible. Otherwise, the merchant account would be deactivated on March 12th or by the end of March (different statements). However, the version specified in the OXID metapackage has number v3.6.4.

Here we provide instructions on how to quickly update Amazon Pay module version via Composer:

OXID eShop v6.2.3

  1. deactivate the module in administration panel of your shop
  2. login to the shell of your server and compute the following command:
    composer require "bestit/amazonpay4oxid":"3.6.8 as 3.6.4"
  3. re-activate the module in administration panel of your shop
  4. change API key according to the tutorial at https://pay.amazon.de/help/MN6UGFCAMUDLDGJ

OXID eShop < v6.2.3

  1. deactivate the module in administration panel of your shop
  2. login to the shell of your server and compute the following command:
    composer require --no-update "paragonie/random_compat":"9.99.99 as v2.0.19"
    composer require "bestit/amazonpay4oxid":"3.6.8 as 3.6.4"
  3. re-activate the module in administration panel of your shop
  4. change API key according to the tutorial at https://pay.amazon.de/help/MN6UGFCAMUDLDGJ

Of course, the latest version of Amazon Pay module will be included in the upcoming OXID eShop release.

Best regards of our support team!



0 replies

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply

Your email address will not be published. Required fields are marked *